package com.fs.erp.service;

import com.fs.erp.domain.ErpOrder;
import com.fs.erp.domain.ErpRefundOrder;
import com.fs.erp.dto.*;
import com.fs.his.domain.FsStoreOrder;
import com.fs.hisStore.domain.FsStoreOrderScrm;
import com.fs.live.domain.LiveOrder;

public interface IErpOrderService
{

    ErpOrderResponse addOrder(ErpOrder order);

    ErpOrderResponse addOrderScrm(ErpOrder order);

    ErpOrderResponse addLiveOrder(ErpOrder order);

    //用户发起退款，然后后台审核通过后，提交退款单
    ErpOrderResponse refundOrder(ErpRefundOrder order);
    ErpOrderResponse refundOrderScrm(ErpRefundOrder order);
    ErpOrderResponse refundLiveOrder(ErpRefundOrder order);
    ErpDeliverysResponse getDeliver(ErpDeliverysRequest param);
    ErpOrderQueryResponse getOrder(ErpOrderQueryRequert param);
    ErpOrderQueryResponse getScrmOrder(ErpOrderQueryRequert param);
    ErpOrderQueryResponse getLiveOrder(ErpOrderQueryRequert param);
    BaseResponse refundUpdate(ErpRefundUpdateRequest param);
    BaseResponse refundUpdateScrm(ErpRefundUpdateRequest param);
    BaseResponse refundUpdateLive(ErpRefundUpdateRequest param);

    ErpOrderResponse finishOrder(ErpOrder order);
    //代服管家查物流状态
    void getOrderDeliveryStatus(FsStoreOrder order);

    void getOrderScrmDeliveryStatus(FsStoreOrderScrm order);
    void getOrderLiveDeliveryStatus(LiveOrder order);
}

